<?php
//포트폴리오 글 타입
add_action('init', 'cptui_register_my_cpt_portfolio');
function cptui_register_my_cpt_portfolio() {
register_post_type('portfolio', array(
'label' => '포트폴리오',
'description' => '',
'public' => true,
'show_ui' => true,
'show_in_menu' => true,
'capability_type' => 'post',
'map_meta_cap' => true,
'hierarchical' => false,
'rewrite' => array('slug' => 'portfolio', 'with_front' => true),
'query_var' => true,
'supports' => array('title','editor','excerpt','trackbacks','custom-fields','comments','revisions','thumbnail','author','page-attributes','post-formats'),
'taxonomies' => array('post_tag'),
'labels' => array (
  'name' => '포트폴리오',
  'singular_name' => '포트폴리오',
  'menu_name' => '포트폴리오',
  'add_new' => '새로 추가',
  'add_new_item' => '새 포트폴리오 추가',
  'edit' => '편집',
  'edit_item' => '포트폴리오 편집',
  'new_item' => '새 포트폴리오',
  'view' => '보기',
  'view_item' => '포트폴리오 보기',
  'search_items' => '포트폴리오 검색',
  'not_found' => '포트폴리오가 없습니다',
  'not_found_in_trash' => '포트폴리오가 휴지통에 없습니다',
  'parent' => '부모 포트폴리오',
)
) ); }

//포트폴리오 택소노미
add_action('init', 'cptui_register_my_taxes_portfolio_category');
function cptui_register_my_taxes_portfolio_category() {
register_taxonomy( 'portfolio_category',array (
  0 => 'portfolio',
),
array( 'hierarchical' => true,
	'label' => '포트폴리오 카테고리',
	'show_ui' => true,
	'query_var' => true,
	'show_admin_column' => true,
	'labels' => array (
  'search_items' => '포트폴리오 카테고리',
  'popular_items' => '인기 포트폴리오',
  'all_items' => '모든 포트폴리오',
  'parent_item' => '부모 포트폴리오',
  'parent_item_colon' => '부모 포트폴리오:',
  'edit_item' => '포트폴리오 편집',
  'update_item' => '포트폴리오 업데이트',
  'add_new_item' => '새 포트폴리오 추가',
  'new_item_name' => '새 포트폴리오 이름',
  'separate_items_with_commas' => '포트폴리오를 콤마로 분리',
  'add_or_remove_items' => '포트폴리오 추가 또는 제거',
  'choose_from_most_used' => '가장 많이 사용한 것에서 선택',
)
) ); 
}

//그리드블로그 글 타입
add_action('init', 'cptui_register_my_cpt_gridblog');
function cptui_register_my_cpt_gridblog() {
register_post_type('gridblog', array(
'label' => '그리드블로그',
'description' => '',
'public' => true,
'show_ui' => true,
'show_in_menu' => true,
'capability_type' => 'post',
'map_meta_cap' => true,
'hierarchical' => false,
'rewrite' => array('slug' => 'gridblog', 'with_front' => true),
'query_var' => true,
'supports' => array('title','editor','excerpt','trackbacks','custom-fields','comments','revisions','thumbnail','author','page-attributes','post-formats'),
'taxonomies' => array('post_tag'),
'labels' => array (
  'name' => '그리드블로그',
  'singular_name' => '그리드블로그',
  'menu_name' => '그리드블로그',
  'add_new' => '새로 추가',
  'add_new_item' => '새 그리드블로그 추가',
  'edit' => '편집',
  'edit_item' => '그리드블로그 편집',
  'new_item' => '새 그리드블로그',
  'view' => '보기',
  'view_item' => '그리드블로그 보기',
  'search_items' => '그리드블로그 검색',
  'not_found' => '그리드블로그가 없습니다',
  'not_found_in_trash' => '그리드블로그가 휴지통에 없습니다',
  'parent' => '부모 그리드블로그',
)
) ); }

//그리드블로그 택소노미
add_action('init', 'cptui_register_my_taxes_gridblog_category');
function cptui_register_my_taxes_gridblog_category() {
register_taxonomy( 'gridblog_category',array (
  0 => 'gridblog',
),
array( 'hierarchical' => true,
	'label' => '그리드블로그 카테고리',
	'show_ui' => true,
	'query_var' => true,
	'show_admin_column' => true,
	'labels' => array (
  'search_items' => '그리드블로그 카테고리',
  'popular_items' => '인기 그리드블로그',
  'all_items' => '모든 그리드블로그',
  'parent_item' => '부모 그리드블로그',
  'parent_item_colon' => '부모 그리드블로그:',
  'edit_item' => '그리드블로그 편집',
  'update_item' => '그리드블로그 업데이트',
  'add_new_item' => '새 그리드블로그 추가',
  'new_item_name' => '새 그리드블로그 이름',
  'separate_items_with_commas' => '그리드블로그를 콤마로 분리',
  'add_or_remove_items' => '그리드블로그 추가 또는 제거',
  'choose_from_most_used' => '가장 많이 사용한 것에서 선택',
)
) ); 
}

//영화 글 타입
add_action('init', 'cptui_register_my_cpt_movie');
function cptui_register_my_cpt_movie() {
register_post_type('movie', array(
'label' => '영화',
'description' => '',
'public' => true,
'show_ui' => true,
'show_in_menu' => true,
'capability_type' => 'post',
'map_meta_cap' => true,
'hierarchical' => false,
'rewrite' => array('slug' => 'movie', 'with_front' => true),
'query_var' => true,
'supports' => array('title','editor','excerpt','trackbacks','custom-fields','comments','revisions','thumbnail','author','page-attributes','post-formats'),
'taxonomies' => array('post_tag'),
'labels' => array (
  'name' => '영화',
  'singular_name' => '영화',
  'menu_name' => '영화',
  'add_new' => '새로 추가',
  'add_new_item' => '새 영화 추가',
  'edit' => '편집',
  'edit_item' => '영화 편집',
  'new_item' => '새 영화',
  'view' => '보기',
  'view_item' => '영화 보기',
  'search_items' => '영화 검색',
  'not_found' => '영화가 없습니다',
  'not_found_in_trash' => '영화가 휴지통에 없습니다',
  'parent' => '부모 영화',
)
) ); }

//영화 택소노미
add_action('init', 'cptui_register_my_taxes_movie_category');
function cptui_register_my_taxes_movie_category() {
register_taxonomy( 'movie_category',array (
  0 => 'movie',
),
array( 'hierarchical' => true,
	'label' => '영화 카테고리',
	'show_ui' => true,
	'query_var' => true,
	'show_admin_column' => true,
	'labels' => array (
  'search_items' => '영화 카테고리',
  'popular_items' => '인기 영화',
  'all_items' => '모든 영화',
  'parent_item' => '부모 영화',
  'parent_item_colon' => '부모 영화:',
  'edit_item' => '영화 편집',
  'update_item' => '영화 업데이트',
  'add_new_item' => '새 영화 추가',
  'new_item_name' => '새 영화 이름',
  'separate_items_with_commas' => '영화를 콤마로 분리',
  'add_or_remove_items' => '영화 추가 또는 제거',
  'choose_from_most_used' => '가장 많이 사용한 것에서 선택',
)
) ); 
}

//갤러리 글 타입
add_action('init', 'cptui_register_my_cpt_gallery');
function cptui_register_my_cpt_gallery() {
register_post_type('gallery', array(
'label' => '갤러리',
'description' => '',
'public' => true,
'show_ui' => true,
'show_in_menu' => true,
'capability_type' => 'post',
'map_meta_cap' => true,
'hierarchical' => false,
'rewrite' => array('slug' => 'gallery', 'with_front' => true),
'query_var' => true,
'supports' => array('title','editor','excerpt','trackbacks','custom-fields','comments','revisions','thumbnail','author','page-attributes','post-formats'),
'taxonomies' => array('post_tag'),
'labels' => array (
  'name' => '갤러리',
  'singular_name' => '갤러리',
  'menu_name' => '갤러리',
  'add_new' => '새로 추가',
  'add_new_item' => '새 갤러리 추가',
  'edit' => '편집',
  'edit_item' => '갤러리 편집',
  'new_item' => '새 갤러리',
  'view' => '보기',
  'view_item' => '갤러리 보기',
  'search_items' => '갤러리 검색',
  'not_found' => '갤러리가 없습니다',
  'not_found_in_trash' => '갤러리가 휴지통에 없습니다',
  'parent' => '부모 갤러리',
)
) ); }

//갤러리 택소노미
add_action('init', 'cptui_register_my_taxes_gallery_category');
function cptui_register_my_taxes_gallery_category() {
register_taxonomy( 'gallery_category',array (
  0 => 'gallery',
),
array( 'hierarchical' => true,
	'label' => '갤러리 카테고리',
	'show_ui' => true,
	'query_var' => true,
	'show_admin_column' => true,
	'labels' => array (
  'search_items' => '갤러리 카테고리',
  'popular_items' => '인기 갤러리',
  'all_items' => '모든 갤러리',
  'parent_item' => '부모 갤러리',
  'parent_item_colon' => '부모 갤러리:',
  'edit_item' => '갤러리 편집',
  'update_item' => '갤러리 업데이트',
  'add_new_item' => '새 갤러리 추가',
  'new_item_name' => '새 갤러리 이름',
  'separate_items_with_commas' => '갤러리를 콤마로 분리',
  'add_or_remove_items' => '갤러리 추가 또는 제거',
  'choose_from_most_used' => '가장 많이 사용한 것에서 선택',
)
) ); 
}

//팀 글 타입
add_action('init', 'cptui_register_my_cpt_team');
function cptui_register_my_cpt_team() {
register_post_type('team', array(
'label' => '팀',
'description' => '',
'public' => true,
'show_ui' => true,
'show_in_menu' => true,
'capability_type' => 'post',
'map_meta_cap' => true,
'hierarchical' => false,
'rewrite' => array('slug' => 'team', 'with_front' => true),
'query_var' => true,
'supports' => array('title','editor','excerpt','trackbacks','custom-fields','comments','revisions','thumbnail','author','page-attributes','post-formats'),
'taxonomies' => array('post_tag'),
'labels' => array (
  'name' => '팀',
  'singular_name' => '팀',
  'menu_name' => '팀',
  'add_new' => '새로 추가',
  'add_new_item' => '새 팀 추가',
  'edit' => '편집',
  'edit_item' => '팀 편집',
  'new_item' => '새 팀',
  'view' => '보기',
  'view_item' => '팀 보기',
  'search_items' => '팀 검색',
  'not_found' => '팀가 없습니다',
  'not_found_in_trash' => '팀가 휴지통에 없습니다',
  'parent' => '부모 팀',
)
) ); }

//팀 택소노미
add_action('init', 'cptui_register_my_taxes_team_category');
function cptui_register_my_taxes_team_category() {
register_taxonomy( 'team_category',array (
  0 => 'team',
),
array( 'hierarchical' => true,
	'label' => '팀 카테고리',
	'show_ui' => true,
	'query_var' => true,
	'show_admin_column' => true,
	'labels' => array (
  'search_items' => '팀 카테고리',
  'popular_items' => '인기 팀',
  'all_items' => '모든 팀',
  'parent_item' => '부모 팀',
  'parent_item_colon' => '부모 팀:',
  'edit_item' => '팀 편집',
  'update_item' => '팀 업데이트',
  'add_new_item' => '새 팀 추가',
  'new_item_name' => '새 팀 이름',
  'separate_items_with_commas' => '팀를 콤마로 분리',
  'add_or_remove_items' => '팀 추가 또는 제거',
  'choose_from_most_used' => '가장 많이 사용한 것에서 선택',
)
) ); 
}

//슬라이더 글 타입
add_action('init', 'cptui_register_my_cpt_slider');
function cptui_register_my_cpt_slider() {
register_post_type('slider', array(
'label' => '슬라이더',
'description' => '',
'public' => true,
'show_ui' => true,
'show_in_menu' => true,
'capability_type' => 'post',
'map_meta_cap' => true,
'hierarchical' => false,
'rewrite' => array('slug' => 'slider', 'with_front' => true),
'query_var' => true,
'supports' => array('title','editor','excerpt','trackbacks','custom-fields','comments','revisions','thumbnail','author','page-attributes','post-formats'),
'taxonomies' => array('post_tag'),
'labels' => array (
  'name' => '슬라이더',
  'singular_name' => '슬라이더',
  'menu_name' => '슬라이더',
  'add_new' => '새로 추가',
  'add_new_item' => '새 슬라이더 추가',
  'edit' => '편집',
  'edit_item' => '슬라이더 편집',
  'new_item' => '새 슬라이더',
  'view' => '보기',
  'view_item' => '슬라이더 보기',
  'search_items' => '슬라이더 검색',
  'not_found' => '슬라이더가 없습니다',
  'not_found_in_trash' => '슬라이더가 휴지통에 없습니다',
  'parent' => '부모 슬라이더',
)
) ); }

//슬라이더 택소노미
add_action('init', 'cptui_register_my_taxes_slider_category');
function cptui_register_my_taxes_slider_category() {
register_taxonomy( 'slider_category',array (
  0 => 'slider',
),
array( 'hierarchical' => true,
	'label' => '슬라이더 카테고리',
	'show_ui' => true,
	'query_var' => true,
	'show_admin_column' => true,
	'labels' => array (
  'search_items' => '슬라이더 카테고리',
  'popular_items' => '인기 슬라이더',
  'all_items' => '모든 슬라이더',
  'parent_item' => '부모 슬라이더',
  'parent_item_colon' => '부모 슬라이더:',
  'edit_item' => '슬라이더 편집',
  'update_item' => '슬라이더 업데이트',
  'add_new_item' => '새 슬라이더 추가',
  'new_item_name' => '새 슬라이더 이름',
  'separate_items_with_commas' => '슬라이더를 콤마로 분리',
  'add_or_remove_items' => '슬라이더 추가 또는 제거',
  'choose_from_most_used' => '가장 많이 사용한 것에서 선택',
)
) ); 
}

//회사소개 글 타입
add_action('init', 'cptui_register_my_cpt_about');
function cptui_register_my_cpt_about() {
register_post_type('about', array(
'label' => '회사소개',
'description' => '',
'public' => true,
'show_ui' => true,
'show_in_menu' => true,
'capability_type' => 'post',
'map_meta_cap' => true,
'hierarchical' => false,
'rewrite' => array('slug' => 'about', 'with_front' => true),
'query_var' => true,
'supports' => array('title','editor','excerpt','trackbacks','custom-fields','comments','revisions','thumbnail','author','page-attributes','post-formats'),
'taxonomies' => array('post_tag'),
'labels' => array (
  'name' => '회사소개',
  'singular_name' => '회사소개',
  'menu_name' => '회사소개',
  'add_new' => '새로 추가',
  'add_new_item' => '새 회사소개 추가',
  'edit' => '편집',
  'edit_item' => '회사소개 편집',
  'new_item' => '새 회사소개',
  'view' => '보기',
  'view_item' => '회사소개 보기',
  'search_items' => '회사소개 검색',
  'not_found' => '회사소개가 없습니다',
  'not_found_in_trash' => '회사소개가 휴지통에 없습니다',
  'parent' => '부모 회사소개',
)
) ); }

//회사소개 택소노미
add_action('init', 'cptui_register_my_taxes_about_category');
function cptui_register_my_taxes_about_category() {
register_taxonomy( 'about_category',array (
  0 => 'about',
),
array( 'hierarchical' => true,
	'label' => '회사소개 카테고리',
	'show_ui' => true,
	'query_var' => true,
	'show_admin_column' => true,
	'labels' => array (
  'search_items' => '회사소개 카테고리',
  'popular_items' => '인기 회사소개',
  'all_items' => '모든 회사소개',
  'parent_item' => '부모 회사소개',
  'parent_item_colon' => '부모 회사소개:',
  'edit_item' => '회사소개 편집',
  'update_item' => '회사소개 업데이트',
  'add_new_item' => '새 회사소개 추가',
  'new_item_name' => '새 회사소개 이름',
  'separate_items_with_commas' => '회사소개를 콤마로 분리',
  'add_or_remove_items' => '회사소개 추가 또는 제거',
  'choose_from_most_used' => '가장 많이 사용한 것에서 선택',
)
) ); 
}

//캐러젤 글 타입
add_action('init', 'cptui_register_my_cpt_carousel');
function cptui_register_my_cpt_carousel() {
register_post_type('carousel', array(
'label' => '캐러젤',
'description' => '',
'public' => true,
'show_ui' => true,
'show_in_menu' => true,
'capability_type' => 'post',
'map_meta_cap' => true,
'hierarchical' => false,
'rewrite' => array('slug' => 'carousel', 'with_front' => true),
'query_var' => true,
'supports' => array('title','editor','excerpt','trackbacks','custom-fields','comments','revisions','thumbnail','author','page-attributes','post-formats'),
'taxonomies' => array('post_tag'),
'labels' => array (
  'name' => '캐러젤',
  'singular_name' => '캐러젤',
  'menu_name' => '캐러젤',
  'add_new' => '새로 추가',
  'add_new_item' => '새 캐러젤 추가',
  'edit' => '편집',
  'edit_item' => '캐러젤 편집',
  'new_item' => '새 캐러젤',
  'view' => '보기',
  'view_item' => '캐러젤 보기',
  'search_items' => '캐러젤 검색',
  'not_found' => '캐러젤가 없습니다',
  'not_found_in_trash' => '캐러젤가 휴지통에 없습니다',
  'parent' => '부모 캐러젤',
)
) ); }

//캐러젤 택소노미
add_action('init', 'cptui_register_my_taxes_carousel_category');
function cptui_register_my_taxes_carousel_category() {
register_taxonomy( 'carousel_category',array (
  0 => 'carousel',
),
array( 'hierarchical' => true,
  'label' => '캐러젤 카테고리',
  'show_ui' => true,
  'query_var' => true,
  'show_admin_column' => true,
  'labels' => array (
  'search_items' => '캐러젤 카테고리',
  'popular_items' => '인기 캐러젤',
  'all_items' => '모든 캐러젤',
  'parent_item' => '부모 캐러젤',
  'parent_item_colon' => '부모 캐러젤:',
  'edit_item' => '캐러젤 편집',
  'update_item' => '캐러젤 업데이트',
  'add_new_item' => '새 캐러젤 추가',
  'new_item_name' => '새 캐러젤 이름',
  'separate_items_with_commas' => '캐러젤를 콤마로 분리',
  'add_or_remove_items' => '캐러젤 추가 또는 제거',
  'choose_from_most_used' => '가장 많이 사용한 것에서 선택',
)
) ); 
}

function add_menu_icons_styles(){ ?>
<style>
#menu-posts-movie .dashicons-admin-post:before { content: "\f337"; }
#menu-posts-portfolio .dashicons-admin-post:before { content: "\f322"; }
#menu-posts-gallery .dashicons-admin-post:before { content: "\f233"; }
#menu-posts-team .dashicons-admin-post:before { content: "\f110"; }
#menu-posts-about .dashicons-admin-post:before { content: "\f116"; }
#menu-posts-gridblog .dashicons-admin-post:before { content: "\f495"; }
#menu-posts-slider .dashicons-admin-post:before { content: "\f233"; }
#menu-posts-carousel .dashicons-admin-post:before { content: "\f232"; }
</style>
<?php }
add_action( 'admin_head', 'add_menu_icons_styles' );