<?php
/**
 * The template used for displaying page content
 *
 * @package WordPress
 * @subpackage Twenty_Fifteen
 * @since Twenty Fifteen 1.0
 */
?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	
	<div class="entry-content">
		<ul id="gallery-filter" class="list-inline m-btm-20 text-center">
	    <?php
	        $terms = get_terms("gallery_category");
	        $count = count($terms);
	            echo '<li><a href="javascript:void(0)" title="" data-filter=".all" class="active btn btn-default">전체</a></li>';
	        if ( $count > 0 ){

	            foreach ( $terms as $term ) {

	                $termname = strtolower($term->name);
	                $termname = str_replace(' ', '-', $termname);
	                echo '<li><a href="javascript:void(0)" title="" data-filter=".'.$termname.'" class="btn btn-default">'.$term->name.'</a></li>';
	            }
	        }
	    ?>
	  </ul>	
	  <div id="gallery" class="infinite no-touch">
	  <?php 
	  	 $paged = (get_query_var('paged')) ? get_query_var('paged') : 1;	
	     $args = array( 
	     	'post_type' => 'gallery', 
	     	'posts_per_page' => of_get_option('gallery_post_num', 'no entry' ),
	     	'paged'=>$paged
	     );
	     $gallery = new WP_Query( $args );
	    if ( $gallery->have_posts() ) : 
	    while ( $gallery->have_posts() ) : $gallery->the_post(); 

	     $terms = get_the_terms( $post->ID, 'gallery_category' );						
	          if ( $terms && ! is_wp_error( $terms ) ) : 

	              $links = array();

	              foreach ( $terms as $term ) {
	                  $links[] = $term->name;
	              }

	              $tax_links = join( " ", str_replace(' ', '-', $links));          
	              $tax = strtolower($tax_links);
	          else :	
	        $tax = '';					
	          endif; ?>

	    <div class="all thumbs <?php echo of_get_option('seven_effects2', 'no entry' ); ?> col-md-3 <?php echo $tax; ?>">
		    <div>
		    	<figure>
		        <?php the_post_thumbnail('gallery'); ?>
		        <figcaption>
		          <span><?php the_title(); ?></span>
		          <a href="<?php echo get_permalink(); ?>">더 보기</a>
		        </figcaption>  
		      </figure>  
		    </div>  
	    </div> 
	    <?php endwhile; ?>



			<?php
				wp_link_pages( array(
					'before'      => '<div class="page-links"><span class="page-links-title">' . __( 'Pages:', 'twentyfifteen' ) . '</span>',
					'after'       => '</div>',
					'link_before' => '<span>',
					'link_after'  => '</span>',
					'pagelink'    => '<span class="screen-reader-text">' . __( 'Page', 'twentyfifteen' ) . ' </span>%',
					'separator'   => '<span class="screen-reader-text">, </span>',
				) );
			?>

	  </div><!-- #gallery -->
	 </div><!-- .entry-content -->

    	<?php wp_reset_postdata(); ?>

    <?php else : ?>
    	<p><?php _e( 'Sorry, no posts matched your criteria.' ); ?></p>
    <?php endif; ?>

  <nav>
    <ul id="gallery-pager" class="pager">
      <li class="previous"><?php previous_posts_link( '&laquo; 이전', $gallery->max_num_pages) ?></li> 
      <li class="next"><?php next_posts_link( '다음 &raquo;', $gallery->max_num_pages) ?></li>
    </ul>
  </nav>

	<?php edit_post_link( __( 'Edit', 'twentyfifteen' ), '<footer class="entry-footer"><span class="edit-link">', '</span></footer><!-- .entry-footer -->' ); ?>

</article><!-- #post-## -->
