<?php
/**
 * Template name: One Page 템플릿
 *
 * @package WordPress
 * @subpackage Twenty_Fifteen
 * @since Twenty Fifteen 1.0
 */

get_header('wide'); ?>

<div id="front-page" class="content-area">
	<main id="main" class="site-main" role="main">
		<div id="front-home" class="container-fluid p-all-0">
			<?php get_template_part('code-block/front', 'slider'); ?>
		</div><!-- 슬라이더 -->
		<div id="front-about" class="container-fluid p-all-0 m-top-30">
			<?php $src = wp_get_attachment_image_src( get_post_thumbnail_id(284), array( 10000,10000 ) ); ?>
			<div class="code-block text-center overlay m-btm-30"style="background: url(<?php echo $src[0]; ?>) center no-repeat;background-size:cover;padding: 80px 0;" data-stellar-background-ratio="0.5">
				<div class="container get_excerpt">
					<h1><?php echo get_the_title(284); ?></h1>
					<p><?php echo get_excerpt_by_id(284); ?></p>
				</div>
			</div>
			<div class="container p-all-0">
				<?php get_template_part('code-block/front', 'about'); ?>
			</div>
		</div><!-- #front-about -->	
		<div id="front-portfolio" class="container-fluid p-all-0">
			<?php $src = wp_get_attachment_image_src( get_post_thumbnail_id(125), array( 10000,10000 ) ); ?>
			<div class="code-block text-center overlay m-btm-30"style="background: url(<?php echo $src[0]; ?>) center no-repeat;background-size:cover;padding: 80px 0;" data-stellar-background-ratio="0.5">
				<div class="container get_excerpt">
					<h1><?php echo get_the_title(125); ?></h1>
					<p><?php echo get_excerpt_by_id(125); ?></p>
				</div>
			</div>
			<div class="container p-all-0 waypoint" data-animate-down="bounceInUp animated slow">
				<?php get_template_part('code-block/front', 'portfolio'); ?>
			</div>
		</div><!-- #front-portfolio -->
		<div id="front-gridblog" class="container-fluid p-all-0 m-top-30">
			<?php $src = wp_get_attachment_image_src( get_post_thumbnail_id(295), array( 10000,10000 ) ); ?>
			<div class="code-block text-center overlay m-btm-30"style="background: url(<?php echo $src[0]; ?>) center no-repeat;background-size:cover;padding: 80px 0;" data-stellar-background-ratio="0.5">
				<div class="container get_excerpt">
					<h1><?php echo get_the_title(295); ?></h1>
					<p><?php echo get_excerpt_by_id(295); ?></p>
				</div>
			</div>
			<div class="container p-all-0 waypoint moveDown" data-animate-down="moveUp medium">
				<?php get_template_part('code-block/front', 'gridblog'); ?>
			</div>
		</div><!-- #front-gridblog -->
		<div id="front-movie" class="container-fluid p-all-0 m-top-30">
			<?php $src = wp_get_attachment_image_src( get_post_thumbnail_id(310), array( 10000,10000 ) ); ?>
			<div class="code-block text-center overlay m-btm-30"style="background: url(<?php echo $src[0]; ?>) center no-repeat;background-size:cover;padding: 80px 0;" data-stellar-background-ratio="0.5">
				<div class="container get_excerpt">
					<h1><?php echo get_the_title(310); ?></h1>
					<p><?php echo get_excerpt_by_id(310); ?></p>
				</div>
			</div>
			<div class="container p-all-0 waypoint moveDown" data-animate-down="moveUp medium">
				<?php get_template_part('code-block/front', 'movie'); ?>
			</div>
		</div><!-- #front-movie -->	
		<div id="front-gallery" class="container-fluid p-all-0 m-top-30">
			<?php $src = wp_get_attachment_image_src( get_post_thumbnail_id(207), array( 10000,10000 ) ); ?>
			<div class="code-block text-center overlay m-btm-30"style="background: url(<?php echo $src[0]; ?>) center no-repeat;background-size:cover;padding: 80px 0;" data-stellar-background-ratio="0.5">
				<div class="container get_excerpt">
					<h1><?php echo get_the_title(207); ?></h1>
					<p><?php echo get_excerpt_by_id(207); ?></p>
				</div>
			</div>
			<div class="container p-all-0 waypoint moveDown" data-animate-down="moveUp medium">
				<?php get_template_part('code-block/front', 'gallery'); ?>
			</div>
		</div><!-- #front-gallery -->	
		<div id="front-team" class="container-fluid p-all-0 m-top-30">
			<?php $src = wp_get_attachment_image_src( get_post_thumbnail_id(253), array( 10000,10000 ) ); ?>
			<div class="code-block text-center overlay m-btm-30"style="background: url(<?php echo $src[0]; ?>) center no-repeat;background-size:cover;padding: 80px 0;" data-stellar-background-ratio="0.5">
				<div class="container get_excerpt">
					<h1><?php echo get_the_title(253); ?></h1>
					<p><?php echo get_excerpt_by_id(253); ?></p>
				</div>
			</div>
			<div class="container p-all-0">
				<?php get_template_part('code-block/front', 'team'); ?>
			</div>
		</div><!-- #front-team -->
		<div id="front-contact" class="container-fluid p-all-0 m-top-30">
			<?php $src = wp_get_attachment_image_src( get_post_thumbnail_id(324), array( 10000,10000 ) ); ?>
			<div class="code-block text-center overlay m-btm-30"style="background: url(<?php echo $src[0]; ?>) center no-repeat;background-size:cover;padding: 80px 0;" data-stellar-background-ratio="0.5">
				<div class="container get_excerpt">
					<h1><?php echo get_the_title(324); ?></h1>
					<p><?php echo get_excerpt_by_id(324); ?></p>
				</div>
			</div>
			<div class="container p-all-0">
				<?php get_template_part('code-block/front', 'contact'); ?>
			</div>
		</div><!-- #front-contact -->	
		<div class="container-fluid googlemap p-all-0">
			<div id="directions"></div>
			<div id="googleMap"></div>
		</div><!-- #google-map -->
	</main>
</div>

<?php get_footer('wide'); ?>