<?php
/**
 * Template name: 팀
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages and that
 * other "pages" on your WordPress site will use a different template.
 *
 * @package WordPress
 * @subpackage Twenty_Fifteen
 * @since Twenty Fifteen 1.0
 */

get_header(); ?>

<div class="container-fluid p-all-0">
	<?php echo do_shortcode('[header_bar]'); ?>	
</div><!-- .container-fluid -->

<div class="container">
	<div class="row">
		<div id="content" class="col-md-12 page-php">
			<div id="primary" class="content-area">
				<main id="main" class="site-main" role="main">

				<?php
				// Start the loop.
				while ( have_posts() ) : the_post(); ?>

				<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
					<div class="entry-content">
					  <ul id="og-grid" class="og-grid">
					  <?php 
					  	 $paged = (get_query_var('paged')) ? get_query_var('paged') : 1;	
					     $args = array( 
					     	'post_type' => 'team', 
					     	'posts_per_page' => 11,
					     	'paged'=>$paged
					     );
					     $team = new WP_Query( $args );
					    if ( $team->have_posts() ) : 
					    while ( $team->have_posts() ) : $team->the_post(); ?>
									
					    <li class="waypoint">
				      	<?php $src = wp_get_attachment_image_src( get_post_thumbnail_id($post->ID), array( 1000,1000 ) ); ?>
				       	<a href="<?php the_field('team_website'); ?>" data-largesrc="<?php echo $src[0] ?>" data-title="<?php the_title(); ?>" data-description="<?php the_field('team_description'); ?>" data-area="분야: <?php the_field('team_area'); ?>" data-tweeter="트위터: <?php the_field('team_tweeter'); ?>">
					        <?php the_post_thumbnail('portfolio_fixed'); ?>
					      </a>
					    </li> 
					  	<?php endwhile; ?>
					  </ul><!-- #og-grid -->  
					</div><!-- .entry-content -->

<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.9.1/jquery.min.js"></script>
<script src="<?php bloginfo('stylesheet_directory');?>/js/modernizr.custom.js"></script>
<script src="<?php bloginfo('stylesheet_directory');?>/js/grid.js"></script>
<script>
	$(function() {
		Grid.init();
	});
</script>
						<?php wp_reset_postdata(); ?>

					<?php else : ?>
						<p><?php _e( 'Sorry, no posts matched your criteria.' ); ?></p>
					<?php endif; ?>

					<nav>
					  <ul id="team-pager" class="pager">
					    <li class="previous"><?php previous_posts_link( '&laquo; 이전', $team->max_num_pages) ?></li> 
					    <li class="next"><?php next_posts_link( '다음 &raquo;', $team->max_num_pages) ?></li>
					  </ul>
					</nav>

					<?php edit_post_link( __( 'Edit', 'twentyfifteen' ), '<footer class="entry-footer"><span class="edit-link">', '</span></footer><!-- .entry-footer -->' ); ?>

				</article><!-- #post-## -->

				<?php	// If comments are open or we have at least one comment, load up the comment template.
					if ( comments_open() || get_comments_number() ) :
						comments_template();
					endif;

				// End the loop.
				endwhile;
				?>

				</main><!-- .site-main -->
			</div><!-- .content-area -->
		</div><!-- #content -->
	</div><!-- .row -->
</div><!-- .container -->

<?php get_footer(); ?>
