<?php
/**
 * Template name: 팀2
 *
 * @package WordPress
 * @subpackage Twenty_Fifteen
 * @since Twenty Fifteen 1.0
 */

get_header(); ?>

<div class="container-fluid p-all-0">
	<?php echo do_shortcode('[header_bar]'); ?>	
</div><!-- .container-fluid -->

<div class="container">
	<div class="row">
		<div id="content" class="col-md-12 page-php">
			<div id="primary" class="content-area">
				<main id="main" class="site-main" role="main">

				<?php
				// Start the loop.
				while ( have_posts() ) : the_post(); ?>

					<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
						
						<div class="entry-content">
						  <div id="team" class="infinite no-touch">
						  <?php 
						  	 $paged = (get_query_var('paged')) ? get_query_var('paged') : 1;	
						     $args = array( 
						     	'post_type' => 'team', 
						     	'posts_per_page' => of_get_option('team_post_num', 'no entry' ),
						     	'paged'=>$paged
						     );
						     $team = new WP_Query( $args );
						    if ( $team->have_posts() ) : 
						    while ( $team->have_posts() ) : $team->the_post(); ?>

						    <div class="thumbs <?php echo of_get_option('seven_effects', 'no entry' ); ?> col-md-3 <?php echo $tax; ?>">
							    <div>
							    	<figure>
							        <?php the_post_thumbnail('team'); ?>
							        <figcaption>
							          <span><?php the_title(); ?></span>
							          <a href="<?php echo get_permalink(); ?>">더 보기</a>
							        </figcaption>  
							      </figure>  
							    </div>  
						    </div> 
						    <?php endwhile; ?>

						  </div><!-- #team -->
						 </div><!-- .entry-content -->
<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.9.1/jquery.min.js"></script>
<script src="<?php bloginfo('stylesheet_directory');?>/js/grid.js"></script>
<script>
	$(function() {
	Grid.init();
	});
</script>
					    	<?php wp_reset_postdata(); ?>

					    <?php else : ?>
					    	<p><?php _e( 'Sorry, no posts matched your criteria.' ); ?></p>
					    <?php endif; ?>

					  <nav>
					    <ul id="team-pager" class="pager">
					      <li class="previous"><?php previous_posts_link( '&laquo; 이전', $team->max_num_pages) ?></li> 
					      <li class="next"><?php next_posts_link( '다음 &raquo;', $team->max_num_pages) ?></li>
					    </ul>
					  </nav>

						<?php edit_post_link( __( 'Edit', 'twentyfifteen' ), '<footer class="entry-footer"><span class="edit-link">', '</span></footer><!-- .entry-footer -->' ); ?>

					</article><!-- #post-## -->

				<?php	// If comments are open or we have at least one comment, load up the comment template.
					if ( comments_open() || get_comments_number() ) :
						comments_template();
					endif;

				// End the loop.
				endwhile;
				?>

				</main><!-- .site-main -->
			</div><!-- .content-area -->
		</div><!-- #content -->
	</div><!-- .row -->
</div><!-- .container -->

<?php get_footer(); ?>
